Name:           ratproxy
Version:        1.51
Release:        4%{?dist}
Summary:        A passive web application security assessment tool
Group:          Applications/Internet
License:        ASL 2.0
URL:            http://code.google.com/p/%{name}/
# URL of actual source containing binary
# http://rakesh.fedorapeople.org/srpm/ratproxy-1.51-3.fc10.src.rpm
# generate-tarball.sh removes that binary and makes source0 tarball.
Source0:        ratproxy-1.53-nobinary.tar.gz
Source1:        generate-tarball.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  openssl-devel

%description
A semi-automated, largely passive web application security audit tool,
optimized for an accurate and sensitive detection, and automatic
annotation, of potential problems and security-relevant design
patterns based on the observation of existing, user-initiated traffic
in complex web 2.0 environments.
             Detects and prioritizes broad classes of security
problems, such as dynamic cross-site trust model considerations,
script inclusion issues, content serving problems, insufficient XSRF
and XSS defenses, and much more.

%prep
%setup -q -n %{name}

%build
sed -i -e 's@-O3@-O2@' Makefile
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -Wno-pointer-sign"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
install -p %{name} $RPM_BUILD_ROOT/%{_bindir}/

rm doc/Solaris.README
chmod 644 doc/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc doc/*
%{_bindir}/%{name}

%changelog
* Thu Jan 08 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.51-4
- removed Solaris.README

* Thu Jan 08 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.51-3
- removed non free binary from tar.gz and re-compressed (generate-tarball.sh).

* Sat Nov 08 2008 Rakesh Pandit <rakesh@fedoraproject.org> 1.51-2
- corrected make flags

* Wed Nov 05 2008 Rakesh Pandit <rakesh@fedoraproject.org> 1.51-1
- Initial package
